# Class DriverKeycode

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.NativeComponent
org.a11y.brlapi.Keycode
org.a11y.brlapi.DriverKeycode

public class DriverKeycode extends Keycode

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`KEY_NUMBER_ANY`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`DriverKeycode(long code)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`getGroup()`
`static int`
`getGroup(long code)`
`final int`
`getNumber()`
`static int`
`getNumber(long code)`
`final long`
`getValue()`
`static long`
`getValue(long code)`
`final boolean`
`isPress()`
`static boolean`
`isPress(long code)`
`String`
`toString()`

### Methods inherited from class Keycode

`getCode, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### KEY_NUMBER_ANY

public static final int KEY_NUMBER_ANY

## Constructor Details

### DriverKeycode

public DriverKeycode(long code)

## Method Details

### isPress

public static boolean isPress(long code)

### getValue

public static long getValue(long code)

### getGroup

public static int getGroup(long code)

### getNumber

public static int getNumber(long code)

### isPress

public final boolean isPress()

### getValue

public final long getValue()

### getGroup

public final int getGroup()

### getNumber

public final int getNumber()

### toString

public String toString()

Overrides:
  `toString` in class `Keycode`